This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Create Auto-Scaling Group Policy

1 - 1.3

post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

Create Auto-Scaling Group policy.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Request body

{
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "evaluation_minutes": 5,
    "metric_method": "AVG",
    "metric_type": "CPU",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "threshold": 60
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "evaluation_minutes": 5,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "metric_method": "AVG",
    "metric_type": "CPU",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "state": "ACTIVE",
    "threshold": 60,
    "threshold_unit": "%"
}

2 - 1.2

post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

Create Auto-Scaling Group policy.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "evaluation_minutes": 5,
    "metric_method": "AVG",
    "metric_type": "CPU",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "threshold": 60
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "evaluation_minutes": 5,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "metric_method": "AVG",
    "metric_type": "CPU",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "state": "ACTIVE",
    "threshold": 60,
    "threshold_unit": "%"
}

3 - 1.1

post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

Create Auto-Scaling Group policy.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "evaluation_minutes": 5,
    "metric_method": "AVG",
    "metric_type": "CPU",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "threshold": 60
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "evaluation_minutes": 5,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "metric_method": "AVG",
    "metric_type": "CPU",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "state": "ACTIVE",
    "threshold": 60,
    "threshold_unit": "%"
}

4 - 1.0

post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

Create Auto-Scaling Group policy.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "evaluation_minutes": 5,
    "metric_method": "AVG",
    "metric_type": "CPU",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "threshold": 60
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "evaluation_minutes": 5,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "metric_method": "AVG",
    "metric_type": "CPU",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "state": "ACTIVE",
    "threshold": 60,
    "threshold_unit": "%"
}